- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels/create#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels/create#try-it)

Creates a label. For more information, see [Manage labels](https://developers.google.com/workspace/gmail/api/guides/labels).

### HTTP request

`POST https://gmail.googleapis.com/gmail/v1/users/{userId}/labels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels#Label`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.labels#Label`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.labels`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).